"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultSourceTs = exports.defaultSourceJs = void 0;
const outdent_1 = __importDefault(require("outdent"));
function defaultSourceJs(pkg) {
    return ((0, outdent_1.default) `
  import {definePlugin} from 'sanity'

  /**
   * ## Usage in sanity.config.js (or .js)
   *
   * \`\`\`
   * import {defineConfig} from 'sanity'
   * import {myPlugin} from '${pkg.name}'
   *
   * export const defineConfig({
   *     /...
   *     plugins: [
   *         myPlugin({})
   *     ]
   * })
   * \`\`\`
   */
  export const myPlugin = definePlugin((config = {}) => {
    // eslint-disable-next-line no-console
    console.log(\`hello from ${pkg.name}\`)
    return {
      name: '${pkg.name}',
    }
  })
`.trimStart() + '\n');
}
exports.defaultSourceJs = defaultSourceJs;
function defaultSourceTs(pkg) {
    return ((0, outdent_1.default) `
  import {definePlugin} from 'sanity'

  interface MyPluginConfig {
    /* nothing here yet */
  }

  /**
   * ## Usage in sanity.config.ts (or .js)
   *
   * \`\`\`
   * import {defineConfig} from 'sanity'
   * import {myPlugin} from '${pkg.name}'
   *
   * export const defineConfig({
   *     /...
   *     plugins: [
   *         myPlugin()
   *     ]
   * })
   * \`\`\`
   */
  export const myPlugin = definePlugin<MyPluginConfig | void>((config = {}) => {
    // eslint-disable-next-line no-console
    console.log('hello from ${pkg.name}')
    return {
      name: '${pkg.name}',
    }
  })
`.trimStart() + '\n');
}
exports.defaultSourceTs = defaultSourceTs;
//# sourceMappingURL=default-source.js.map